summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2013-01-13 12:31:14 +0100
committer dsomero2013-01-20 15:03:03 +0100
commit6a924de2ebb6e95bdf08365242e68ceb7166a4bf (patch)
treed442487b08299aa99e2c92f8cd3f594225eac957
parentdb4f9186fc9940ae16b9bed7b47cb74eb5795657 (diff)
downloadslackbuilds-6a924de2ebb6e95bdf08365242e68ceb7166a4bf.tar.gz
academic/ncbi-blast-plus: Added (BLAST+ CLI applications).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--academic/ncbi-blast-plus/README17
-rw-r--r--academic/ncbi-blast-plus/References8
-rw-r--r--academic/ncbi-blast-plus/ncbi-blast-plus.SlackBuild115
-rw-r--r--academic/ncbi-blast-plus/ncbi-blast-plus.info10
-rw-r--r--academic/ncbi-blast-plus/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/academic/ncbi-blast-plus/README b/academic/ncbi-blast-plus/README
new file mode 100644
index 0000000000..0aeda537eb
--- /dev/null
+++ b/academic/ncbi-blast-plus/README
@@ -0,0 +1,17 @@
+BLAST+ Command Line Applications
+
+The NCBI Basic Local Alignment Search Tool (BLAST) finds regions of
+local similarity between sequences. The program compares nucleotide or
+protein sequences to sequence databases and calculates the statistical
+significance of matches. BLAST can be used to infer functional and
+evolutionary relationships between sequences as well as help identify
+members of gene families.
+
+BLAST+ is a new suite of BLAST tools that utilizes the NCBI C++
+Toolkit. The BLAST+ applications have a number of performance and
+feature improvements over the legacy BLAST applications (ncbi-blast).
+
+For details and citation, please see the BLAST+ user manual from the
+program's web site and the article in BMC Bioinformatics.
+
+This just repackages the binaries provided from upstream.
diff --git a/academic/ncbi-blast-plus/References b/academic/ncbi-blast-plus/References
new file mode 100644
index 0000000000..dfe6000c14
--- /dev/null
+++ b/academic/ncbi-blast-plus/References
@@ -0,0 +1,8 @@
+BLAST® Help [Internet]. Bethesda (MD): National Center for
+Biotechnology Information (US); 2008-. Available from:
+http://www.ncbi.nlm.nih.gov/books/NBK1762/
+
+BMC Bioinformatics. 2009 Dec 15;10:421.
+BLAST+: architecture and applications.
+Camacho C, Coulouris G, Avagyan V, Ma N, Papadopoulos J, Bealer K, Madden TL.
+Source
diff --git a/academic/ncbi-blast-plus/ncbi-blast-plus.SlackBuild b/academic/ncbi-blast-plus/ncbi-blast-plus.SlackBuild
new file mode 100644
index 0000000000..c3a677bdad
--- /dev/null
+++ b/academic/ncbi-blast-plus/ncbi-blast-plus.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware build script for ncbi-blast-plus
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ncbi-blast-plus
+VERSION=${VERSION:-2.2.27}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=ncbi-blast
+SRCVER=2.2.27+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+if [ "$ARCH" != "i386" ] && [ "$ARCH" != "x86_64" ]; then
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+# Determine the source arch
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x64"
+else
+ SRCARCH="ia32"
+fi
+
+# Construct the tarball name
+TARNAME=$SRCNAM-$SRCVER-$SRCARCH-linux
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$TARNAME.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install the precompiled binaries.
+cd bin
+install -D -m755 blast_formatter $PKG/usr/bin/blast_formatter
+install -D -m755 blastdb_aliastool $PKG/usr/bin/blastdb_aliastool
+install -D -m755 blastdbcheck $PKG/usr/bin/blastdbcheck
+install -D -m755 blastdbcmd $PKG/usr/bin/blastdbcmd
+install -D -m755 blastn $PKG/usr/bin/blastn
+install -D -m755 blastp $PKG/usr/bin/blastp
+install -D -m755 blastx $PKG/usr/bin/blastx
+install -D -m755 convert2blastmask $PKG/usr/bin/convert2blastmask
+install -D -m755 deltablast $PKG/usr/bin/deltablast
+install -D -m755 dustmasker $PKG/usr/bin/dustmasker
+install -D -m755 legacy_blast.pl $PKG/usr/bin/legacy_blast.pl
+install -D -m755 makeblastdb $PKG/usr/bin/makeblastdb
+install -D -m755 makembindex $PKG/usr/bin/makembindex
+install -D -m755 makeprofiledb $PKG/usr/bin/makeprofiledb
+install -D -m755 psiblast $PKG/usr/bin/psiblast
+install -D -m755 rpsblast $PKG/usr/bin/rpsblast
+install -D -m755 rpstblastn $PKG/usr/bin/rpstblastn
+install -D -m755 segmasker $PKG/usr/bin/segmasker
+install -D -m755 tblastn $PKG/usr/bin/tblastn
+install -D -m755 tblastx $PKG/usr/bin/tblastx
+install -D -m755 update_blastdb.pl $PKG/usr/bin/update_blastdb.pl
+install -D -m755 windowmasker $PKG/usr/bin/windowmasker
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/ncbi-blast-plus/ncbi-blast-plus.info b/academic/ncbi-blast-plus/ncbi-blast-plus.info
new file mode 100644
index 0000000000..c4c47d45d9
--- /dev/null
+++ b/academic/ncbi-blast-plus/ncbi-blast-plus.info
@@ -0,0 +1,10 @@
+PRGNAM="ncbi-blast-plus"
+VERSION="2.2.27"
+HOMEPAGE="http://blast.ncbi.nlm.nih.gov/"
+DOWNLOAD="ftp://ftp.ncbi.nih.gov/blast/executables/blast+/2.2.27/ncbi-blast-2.2.27+-ia32-linux.tar.gz"
+MD5SUM="8e22b1f2fe816e2f8812dcf3a5980bff"
+DOWNLOAD_x86_64="ftp://ftp.ncbi.nih.gov/blast/executables/blast+/2.2.27/ncbi-blast-2.2.27+-x64-linux.tar.gz"
+MD5SUM_x86_64="905d308507392cd86bbe701839b0a601"
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
diff --git a/academic/ncbi-blast-plus/slack-desc b/academic/ncbi-blast-plus/slack-desc
new file mode 100644
index 0000000000..c698328a33
--- /dev/null
+++ b/academic/ncbi-blast-plus/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ncbi-blast-plus: ncbi-blast-plus: (BLAST+ Command Line Applications)
+ncbi-blast-plus:
+ncbi-blast-plus: BLAST+ is a new suite of BLAST tools that utilizes the NCBI C++
+ncbi-blast-plus: Toolkit. The BLAST+ applications have a number of performance and
+ncbi-blast-plus: feature improvements over the legacy BLAST applications (ncbi-blast).
+ncbi-blast-plus:
+ncbi-blast-plus: Home: http://blast.ncbi.nlm.nih.gov/
+ncbi-blast-plus: References: /usr/doc/ncbi-blast-plus-$VERSION/References
+ncbi-blast-plus:
+ncbi-blast-plus:
+ncbi-blast-plus: